#!/system/bin/sh

lock_file=${lock_file}
iptables=/system/bin/iptables

kill_anet_process() {
    sa=`pidof -s anet`
    if [ -n "$sa" ]; then
        kill -9 $sa
    fi
}

kill_ss_process() {
    sl=`pidof -s ss-redir`
    st=`pidof -s ss-tunnel`
    if [ -n "$sl" ]; then
        kill -9 $sl
    fi
    if [ -n "$st" ]; then
        kill -9 $st
    fi
}

stopfw() {
    $iptables -t nat -D OUTPUT -j gfw_nat_out 2>/dev/null
    $iptables -t nat -F gfw_nat_out 2>/dev/null
    $iptables -t nat -X gfw_nat_out 2>/dev/null

    kill_ss_process
    $iptables -t nat -D OUTPUT -m state --state NEW -p udp --dport 53 -j DNAT --to-destination 127.0.0.1:5533 2>/dev/null
    $iptables -t nat -D OUTPUT -m state --state NEW -p tcp --dport 80 -j DNAT --to-destination 127.0.0.1:1080 2>/dev/null
    $iptables -t nat -D OUTPUT -m state --state NEW -p tcp --dport 443 -j DNAT --to-destination 127.0.0.1:1080 2>/dev/null
}

stopanet() {
    kill_anet_process
}

while [ -f "$lock_file" ]
do
    sleep 5
done

stopanet
stopfw
